E.27. Postgres Pro Standard 9.6.1.2

Release date: 2016-12-14

E.27.1. Overview

This release is based on Postgres Pro Standard 9.6.1.1 and upstream PostgreSQL patches.

Major enhancements over Postgres Pro Standard 9.6.1.1 include:

Several modules to support 1C Enterprise added:

Also, following core changes were added to support 1C:

  • Application level locks

  • Optimization of range conditions in the WHERE clause

Modules has been updated

Backup manager pg_arman has been replaced to pg_probackup (Version 1.0).

E.27.2. Migration to Version 9.6.1.2

A dump/restore using pg_dumpall, or use of pg_upgrade, is required for those wishing to migrate data from any previous major release.

A dump/restore is not required for those running 9.6.1.1.

However, if you are upgrading from vanilla PostgreSQL 9.6.x, some catalog changes should be applied.

If you use binary packages, and your database is in the default location, this upgrade should be performed automatically. If you've compiled Postgres Pro from source or create your database in non-default location, running initdb manually, you should run pgpro_upgrade script provided in this distribution.

Before running script, you should stop postgres service. Script should be run as user, owning the database (typically postgres) and PGDATA environment variable should be set to the directory where database resides.